Get an Email

..when I post something to the blog! It'll be interesting and worth the read - really!

Old Mac users – Rejoice!

…as in users of PowerPC Macs, running at least OS 10.4.11 with a G3/G4/G5 processor.

I’ve run across a bowser based on Firefox that runs on these machines, and it has all the latest improvement in web browsers [ see below]. Click over to http://www.floodgap.com/software/tenfourfox/.

It looks really good – and it may be enough for me to keep my first generation Mac Mini around for a good long while!

You HAVE to love their copy on the page:

….although it uses the Firefox code base, it’s not Firefox. It uses code tuned for 10.4 (and compatible with 10.5), adds new PowerPC-specific improvements and restores the glue necessary to get most of modern Firefox’s advanced features working on our older computers, offered in separately hand-tuned builds for G3, G4/7400, G4/7450 and G5 processors to get the most from your specific computer.

Nevertheless, it’s still almost all the same code as today’s Firefox and has nearly all the same features, including dramatically faster JavaScript, WebM video, compatibility with most Firefox add-ons, and HTML 5 and CSS 3 support. You’ll find TenFourFox significantly faster overall than Firefox 3.6, yet it supports so many more new and emerging Web features that your dear old Power Mac will still be able to do what you need online for years to come.

TenFourFox requires a G3 Power Macintosh, Mac OS X v10.4.11 or Mac OS X v10.5.8, 100MB of free disk space and 512MB of RAM. Video playback will be poor on systems slower than 1.25GHz; we recommend a G5. Intel Macintoshes are not supported (and will be mercilessly mocked); see FAQ for info.

Comments are closed.